Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Interface JifExtFactory

All Superinterfaces:
  polyglot.ast.ExtFactory, JifStmtExtFactory

All Known Implementing Classes:
  AbstractJifExtFactory_c, JifExtFactory_c

    public interface JifExtFactory

extends polyglot.ast.ExtFactory, JifStmtExtFactory

Method Summary
`polyglot.ast.Ext` | `extActsForConstraintNode()`
`polyglot.ast.Ext` | `extAmbDynamicLabelNode()`
`polyglot.ast.Ext` | `extAmbNewArray()`
`polyglot.ast.Ext` | `extAmbParam()`
`polyglot.ast.Ext` | `extAmbParamTypeOrAccess()`
`polyglot.ast.Ext` | `extAmbPrincipalNode()`
`polyglot.ast.Ext` | `extAmbThisLabelNode()`
`polyglot.ast.Ext` | `extAmbVarLabelNode()`
`polyglot.ast.Ext` | `extAuthConstraintNode()`
`polyglot.ast.Ext` | `extAutoEndorseConstraintNode()`
`polyglot.ast.Ext` | `extCallerConstraintNode()`
`polyglot.ast.Ext` | `extCanonicalConstraintNode()`
`polyglot.ast.Ext` | `extCanonicalLabelNode()`
`polyglot.ast.Ext` | `extCanonicalPrincipalNode()`
`polyglot.ast.Ext` | `extCheckedEndorseStmt()`
`polyglot.ast.Ext` | `extConstraintNode()`
`polyglot.ast.Ext` | `extDeclassifyExpr()`
`polyglot.ast.Ext` | `extDeclassifyStmt()`
`polyglot.ast.Ext` | `extEndorseExpr()`
`polyglot.ast.Ext` | `extEndorseStmt()`
`polyglot.ast.Ext` | `extInstTypeNode()`
`polyglot.ast.Ext` | `extJoinLabelNode()`
`polyglot.ast.Ext` | `extLabeledTypeNode()`
`polyglot.ast.Ext` | `extLabelExpr()`
`polyglot.ast.Ext` | `extLabelLeAssertionNode()`
`polyglot.ast.Ext` | `extLabelNode()`
`polyglot.ast.Ext` | `extMeetLabelNode()`
`polyglot.ast.Ext` | `extNewLabel()`
`polyglot.ast.Ext` | `extParamDecl()`
`polyglot.ast.Ext` | `extParamNode()`
`polyglot.ast.Ext` | `extPolicyNode()`
`polyglot.ast.Ext` | `extPrincipalExpr()`
`polyglot.ast.Ext` | `extPrincipalNode()`

Methods inherited from interface polyglot.ast.ExtFactory
`extAmbAssign, extAmbExpr, extAmbPrefix, extAmbQualifierNode, extAmbReceiver, extAmbTypeNode, extArrayAccess, extArrayAccessAssign, extArrayInit, extArrayTypeNode, extAssert, extAssign, extBinary, extBlock, extBooleanLit, extBranch, extCall, extCanonicalTypeNode, extCase, extCast, extCatch, extCharLit, extClassBody, extClassDecl, extClassLit, extClassMember, extCodeDecl, extCompoundStmt, extConditional, extConstructorCall, extConstructorDecl, extDo, extEmpty, extEval, extExpr, extField, extFieldAssign, extFieldDecl, extFloatLit, extFor, extFormal, extId, extIf, extImport, extInitializer, extInstanceof, extIntLit, extLabeled, extLit, extLocal, extLocalAssign, extLocalClassDecl, extLocalDecl, extLoop, extMethodDecl, extNew, extNewArray, extNode, extNodeList, extNullLit, extNumLit, extPackageNode, extProcedureDecl, extReturn, extSourceCollection, extSourceFile, extSpecial, extStmt, extStringLit, extSwitch, extSwitchBlock, extSwitchElement, extSynchronized, extTerm, extThrow, extTry, extTypeNode, extUnary, extWhile, nextExtFactory`

Method Detail

### extInstTypeNode

    polyglot.ast.Ext extInstTypeNode()

### extLabeledTypeNode

    polyglot.ast.Ext extLabeledTypeNode()

### extAmbNewArray

    polyglot.ast.Ext extAmbNewArray()

### extAmbParamTypeOrAccess

    polyglot.ast.Ext extAmbParamTypeOrAccess()

### extJoinLabelNode

    polyglot.ast.Ext extJoinLabelNode()

### extMeetLabelNode

    polyglot.ast.Ext extMeetLabelNode()

### extPolicyNode

    polyglot.ast.Ext extPolicyNode()

### extAmbDynamicLabelNode

    polyglot.ast.Ext extAmbDynamicLabelNode()

### extAmbVarLabelNode

    polyglot.ast.Ext extAmbVarLabelNode()

### extAmbThisLabelNode

    polyglot.ast.Ext extAmbThisLabelNode()

### extCanonicalLabelNode

    polyglot.ast.Ext extCanonicalLabelNode()

### extParamNode

    polyglot.ast.Ext extParamNode()

### extLabelNode

    polyglot.ast.Ext extLabelNode()

### extPrincipalNode

    polyglot.ast.Ext extPrincipalNode()

### extAmbPrincipalNode

    polyglot.ast.Ext extAmbPrincipalNode()

### extCanonicalPrincipalNode

    polyglot.ast.Ext extCanonicalPrincipalNode()

### extAmbParam

    polyglot.ast.Ext extAmbParam()

### extParamDecl

    polyglot.ast.Ext extParamDecl()

### extConstraintNode

    polyglot.ast.Ext extConstraintNode()

### extCanonicalConstraintNode

    polyglot.ast.Ext extCanonicalConstraintNode()

### extAuthConstraintNode

    polyglot.ast.Ext extAuthConstraintNode()

### extAutoEndorseConstraintNode

    polyglot.ast.Ext extAutoEndorseConstraintNode()

### extCallerConstraintNode

    polyglot.ast.Ext extCallerConstraintNode()

### extActsForConstraintNode

    polyglot.ast.Ext extActsForConstraintNode()

### extLabelLeAssertionNode

    polyglot.ast.Ext extLabelLeAssertionNode()

### extDeclassifyStmt

    polyglot.ast.Ext extDeclassifyStmt()

  Specified by:
    `extDeclassifyStmt` in interface `JifStmtExtFactory`

### extDeclassifyExpr

    polyglot.ast.Ext extDeclassifyExpr()

### extEndorseStmt

    polyglot.ast.Ext extEndorseStmt()

  Specified by:
    `extEndorseStmt` in interface `JifStmtExtFactory`

### extCheckedEndorseStmt

    polyglot.ast.Ext extCheckedEndorseStmt()

  Specified by:
    `extCheckedEndorseStmt` in interface `JifStmtExtFactory`

### extEndorseExpr

    polyglot.ast.Ext extEndorseExpr()

### extNewLabel

    polyglot.ast.Ext extNewLabel()

### extLabelExpr

    polyglot.ast.Ext extLabelExpr()

### extPrincipalExpr

    polyglot.ast.Ext extPrincipalExpr()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD